﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebDataGrid.SQLDataSource.WebResizingExtender.Default" %>

<%@ Register Assembly="Infragistics45.WebUI.WebResizingExtender.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.WebUI" TagPrefix="igui" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .cell {
            white-space: nowrap;
            text-overflow: ellipsis;
        }
    </style>
    <script>
        function resizeGrid(sender, eventArgs) {
            var headerHeight = document.getElementsByClassName("ig_Header")[0].offsetHeight;
            var footerHeight = document.getElementsByClassName("igg_Pager")[0].offsetHeight;
            var offsetHeight = headerHeight + footerHeight;

            var rowsContainerHeight = eventArgs.getHeight() - offsetHeight;
            var rowsContainerWidth = eventArgs.getWidth();

            var grid = $find("<%= wdg.ClientID %>");
            var rowHeight = grid.get_rows().get_row(0).get_element().offsetHeight;

            __doPostBack('ChangedGridSize', JSON.stringify({
                rowsContainerHeight: rowsContainerHeight,
                rowsContainerWidth: rowsContainerWidth,
                rowHeight: rowHeight,
                offsetHeight: offsetHeight
            }));

        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebDataGrid ID="wdg" runat="server" Width="700px" DataKeyFields="ProductID" AutoGenerateColumns="False" DataSourceID="SqlDataSource1">
                <Columns>
                    <ig:BoundDataField DataFieldName="ProductID" Key="ProductID" Hidden="true">
                        <Header Text="ProductID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID" Hidden="true">
                        <Header Text="Category ID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="ProductName" Key="ProductName" Width="200px" CssClass="cell">
                        <Header Text="Produc tName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice" CssClass="cell">
                        <Header Text="Unit Price">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="QuantityPerUnit" Key="QuantityPerUnit" CssClass="cell">
                        <Header Text="Quantity Per Unit">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:ColumnMoving>
                    </ig:ColumnMoving>
                    <ig:ColumnResizing>
                    </ig:ColumnResizing>
                    <ig:RowSelectors>
                    </ig:RowSelectors>
                    <ig:Paging PageSize="6">
                    </ig:Paging>
                    <ig:Sorting>
                    </ig:Sorting>
                    <ig:Clipboard>
                    </ig:Clipboard>
                    <ig:Selection>
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>
            <igui:WebResizingExtender ID="wre" runat="server" TargetControlID="wdg" OnClientResize="resizeGrid" />
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [CategoryID], [UnitPrice], [QuantityPerUnit]) VALUES (@ProductName, @CategoryID, @UnitPrice, @QuantityPerUnit)" SelectCommand="SELECT [ProductID], [ProductName], [CategoryID], [UnitPrice], [QuantityPerUnit] FROM [Products]" UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [CategoryID] = @CategoryID, [UnitPrice] = @UnitPrice, [QuantityPerUnit] = @QuantityPerUnit WHERE [ProductID] = @ProductID">
                <DeleteParameters>
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="QuantityPerUnit" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="QuantityPerUnit" Type="String" />
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </UpdateParameters>
            </asp:SqlDataSource>
        </div>
    </form>
</body>
</html>